import React from 'react';
import { MDCTabScrollerFoundation } from '@material/tab-scroller/foundation';
import { MDCTabScrollerAdapter } from '@material/tab-scroller/adapter';
export interface TabScrollerProps extends React.HTMLAttributes<HTMLDivElement> {
    alignStart?: boolean;
    alignEnd?: boolean;
    alignCenter?: boolean;
    className?: string;
}
interface TabScrollerState {
    classList: Set<string>;
    areaClassList: Set<string>;
    scrollAreaStyleProperty: React.CSSProperties;
    scrollContentStyleProperty: React.CSSProperties;
}
declare type ScrollerElementNames = 'scrollAreaStyleProperty' | 'scrollContentStyleProperty';
export default class TabScroller extends React.Component<TabScrollerProps, TabScrollerState> {
    areaElement: React.RefObject<HTMLDivElement>;
    contentElement: React.RefObject<HTMLDivElement>;
    foundation: MDCTabScrollerFoundation;
    state: TabScrollerState;
    static defaultProps: Partial<TabScrollerProps>;
    componentDidMount(): void;
    componentWillUnmount(): void;
    readonly classes: string;
    setStyleToElement: (prop: string, value: string | boolean, elementStyleProperty: ScrollerElementNames) => void;
    readonly adapter: MDCTabScrollerAdapter;
    getBoundingClientRectOf: (element: HTMLElement | null) => ClientRect;
    getScrollPosition: () => number;
    getScrollContentWidth: () => number;
    incrementScroll: (scrollXIncrement: number) => void;
    scrollTo: (scrollX: number) => void;
    handleWheel_: (evt: React.WheelEvent<HTMLDivElement>) => void;
    handleTouchStart_: (evt: React.TouchEvent<HTMLDivElement>) => void;
    handlePointerDown_: (evt: React.PointerEvent<HTMLDivElement>) => void;
    handleMouseDown_: (evt: React.MouseEvent<HTMLDivElement>) => void;
    handleKeyDown_: (evt: React.KeyboardEvent<HTMLDivElement>) => void;
    handleTransitionEnd_: (evt: React.TransitionEvent<HTMLDivElement>) => void;
    render(): JSX.Element;
}
export {};
